"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getYmlFile = void 0;
const promises_1 = __importDefault(require("fs/promises"));
const path_1 = __importDefault(require("path"));
const yaml_1 = require("yaml");
/**
 *
 * @param filepath docker-compose.yml filepath relative to the cwd
 * @returns parsed yaml file as an js object
 */
function getYmlFile(filepath) {
    return __awaiter(this, void 0, void 0, function* () {
        //get yamlstring
        const fileString = yield promises_1.default.readFile(path_1.default.join(process.cwd(), filepath), "utf-8");
        //parse yaml to js object
        const parsed = (0, yaml_1.parse)(fileString);
        return parsed;
    });
}
exports.getYmlFile = getYmlFile;
