#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsonWriter_1 = require("./jsonWriter");
const parser_1 = require("./parser");
const ymlReader_1 = require("./ymlReader");
const commander_1 = require("commander");
const path_1 = __importDefault(require("path"));
commander_1.program
    .name("compose-to-easypanel")
    .description("create an easypanel schema from a docker-compose file")
    .version("0.0.1");
commander_1.program
    .argument("projectName")
    .option("-i <docker-compose.yml>", "docker compose input file")
    .option("-o,<schema-output.json>", "schema json output file")
    .action((projectName, options) => __awaiter(void 0, void 0, void 0, function* () {
    const input = options.i;
    const output = options.o;
    const file = yield (0, ymlReader_1.getYmlFile)(input);
    const schema = (0, parser_1.parseDockerToEasypanel)(file, projectName);
    (0, jsonWriter_1.writeJson)(output, schema);
    console.log("successfully created your schema");
    console.log("visit: ", path_1.default.join(process.cwd(), output));
}));
commander_1.program.parse();
