"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasEnvVariable = exports.isVersion3 = exports.getEasypanelServiceType = void 0;
const schema_1 = require("./schema");
function getEasypanelServiceType(dockerService) {
    var _a;
    let serviceType = "app";
    const imageName = (_a = dockerService.image) === null || _a === void 0 ? void 0 : _a.split(":")[0];
    const dataBaseEnv = dockerService.environment && dockerService.environment.EASYPANEL_DATABASE;
    if (dataBaseEnv) {
        schema_1.supportedServiceTypes.forEach((type) => {
            if (dataBaseEnv === type)
                serviceType = dataBaseEnv;
        });
    }
    else if (imageName) {
        schema_1.supportedServiceTypes.forEach((type) => {
            if (imageName === type)
                serviceType = imageName;
        });
    }
    else
        serviceType = "app";
    return serviceType;
}
exports.getEasypanelServiceType = getEasypanelServiceType;
function isVersion3(versionString) {
    if (versionString.split(".")[0] === "3")
        return true;
    return false;
}
exports.isVersion3 = isVersion3;
function hasEnvVariable(environment, envVariable) {
    if (environment && environment[envVariable])
        return true;
    return false;
}
exports.hasEnvVariable = hasEnvVariable;
